Skip to main content
`Ctrl`+`K`

# numpy.char.strip

char.strip(a, chars=None)

  For each element in a, return a copy with the leading and trailing characters removed.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    chars scalar with the same dtype as `a`, optional

      The `chars` argument is a string specifying the set of characters to be removed. If `None`, the `chars` argument defaults to removing whitespace. The `chars` argument is not a prefix or suffix; rather, all combinations of its values are stripped.

  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  See also

  `str.strip`

  Examples

      >>> import numpy as np
      >>> c = np.array(['aAaAaA', '  aA  ', 'abBABba'])
      >>> c
      array(['aAaAaA', '  aA  ', 'abBABba'], dtype='<U7')
      >>> np.strings.strip(c)
      array(['aAaAaA', 'aA', 'abBABba'], dtype='<U7')
      # 'a' unstripped from c[1] because of leading whitespace.
      >>> np.strings.strip(c, 'a')
      array(['AaAaA', '  aA  ', 'bBABb'], dtype='<U7')
      # 'A' unstripped from c[1] because of trailing whitespace.
      >>> np.strings.strip(c, 'A')
      array(['aAaAa', '  aA  ', 'abBABba'], dtype='<U7')